import { queryClient } from 'src/config/react-query';
import { ticketKeys } from 'src/pages/dashboard/tickets/queries';

import { chatKeys } from 'src/components/dashboard/chat/queries';

import { upcomingCelebrationsKeys } from '../upcomingCelebrations/queries';

export const deleteUser = (onDelete: Function = () => null) => {
  queryClient.invalidateQueries(ticketKeys.all());
  queryClient.invalidateQueries(chatKeys.all());
  queryClient.invalidateQueries(upcomingCelebrationsKeys.all());
  onDelete();
};
